%define major 2
%define libname %mklibname drm %{major}
%define develname %mklibname drm -d
%define staticdevelname %mklibname drm -d -s

Summary:	Userspace interface to kernel DRM services
Name:		libdrm
Version:	2.3.0
Release:	%mkrel 4
Group:		Development/X11
License:	MIT/X11
URL:		http://xorg.freedesktop.org
Source0:	http://dri.freedesktop.org/libdrm/libdrm-%{version}.tar.bz2
# (fc) do not change permission if not requested
Patch0:		libdrm-2.3.0-perm.patch
BuildRequires:	x11-util-macros >= 1.0.1
BuildRoot:	%{_tmppath}/%{name}-root

%description
Userspace interface to kernel DRM services

%package -n	%{libname}
Summary:	Userspace interface to kernel DRM services
Group:		Development/X11
Provides:	%{name} = %{version}

%description -n	%{libname}
Userspace interface to kernel DRM services

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/X11
Requires:	%{name} >= %{version}
Requires:	%{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{mklibname drm 2 -d}

%description -n	%{develname}
Development files for %{name}

%package -n	%{staticdevelname}
Summary:	Static development files for %{name}
Group:		Development/X11
Requires:	%{name}-devel >= %{version}
Requires:	%{libname} = %{version}
Provides:       %{name}-static-devel = %{version}-%{release}
Obsoletes:      %{mklibname drm 2 -d -s}

%description -n	%{staticdevelname}
Static development files for %{name}

%prep

%setup -q -n libdrm-%{version}
%patch0 -p1 -b .perm

%build
%configure2_5x \
    --x-includes=%{_includedir} \
    --x-libraries=%{_libdir} \
    --enable-static

%make

%install
rm -rf %{buildroot}

%makeinstall_std 

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-,root,root)
%dir %{_includedir}/drm
%{_includedir}/drm/*.h
%{_includedir}/*.h
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files -n %{staticdevelname}
%defattr(-,root,root)
%{_libdir}/*.a


%changelog
* Fri Aug 31 2007 Oden Eriksson <oeriksson@mandriva.com> 2.3.0-4mdv2008.0
+ Revision: 76972
- cleanup borked deps

* Fri Aug 31 2007 Oden Eriksson <oeriksson@mandriva.com> 2.3.0-3mdv2008.0
+ Revision: 76831
- new devel name


* Wed Mar 21 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 2.3.0-2mdv2007.1
+ Revision: 147232
- When checking wheter to change owner or not, serv_group is unsigned.

* Tue Nov 14 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.3.0-1mdv2007.1
+ Revision: 84141
- new release

* Thu Jun 29 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 2.0.2-1mdv2007.0
+ Revision: 38128
- new upstream version (2.0.2):
   * Updated kernel DRM headers
- rebuild to fix cooker uploading
- X11R7.1
- renaming the specfile as well
- renaming the package to its right name (without the soname)
- do not use soname in the srpm
- Adding X.org 7.0 to the repository

  + Frederic Crozat <fcrozat@mandriva.com>
    - Patch0: do not change permission if not requested
    - call ldconfig on lib package install/removal

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix license

